# 📖 Implement an Icon for Downloadable Style Sheets

Work with a partner to implement the following user story:

* As a user, I want to see an icon next to every `<a>` element that has a link to a downloadable CSS file in its `href` attribute.

## Instructions

* Add a 📝 emoji to any link to a CSS file.
  * Should be added only using CSS


Your web application should look like the following image once complete:

![The updated page shows an emoji next to each link that takes you to a CSS file.](./images/01-selector-complete.png)

### 💡 Hints

* How can you target a file type by its file extension (i.e., `.css`, `.html`, `.md`, etc.)?

Refer to the following documentation: 

[MDN Web Docs on attribute selectors](https://developer.mozilla.org/en-US/docs/Web/CSS/Attribute_selectors)

### 🏆 Bonus

If you have completed the activity and want to further your knowledge, work through the following challenge with your partner:

* How do selectors affect CSS performance?

Use [Google](https://www.google.com) or another search engine to research this.

---
© 2022 edX Boot Camps LLC. Confidential and Proprietary. All Rights Reserved.